"""
指標を考えるのはとても大切なことです。例えば都道府県別コロナウイルスでは単純に数では実態が分かりづらいです。それは人口が多い都道府県と少ない都道府県では比較しづらいので、
人口10万人あたりの感染者数が実態をよく表している指標と考えられるでしょう。
もし、世界の富が均一であれば各国の携帯電話契約数は1/196になるはずです。

よって、各国の全世界の契約数における割合をC％として、
|c-1/196*100|を指標としてみます。

完全に公平は世界では0でこの指標が大きければ大きいほど富の偏りが大きいと考えることができます。

"""
from mp import ranking
total_array = []
top_array = []

for mp_information in ranking:
    number = float(mp_information[2])
    total_array.append(number)

    
total = sum(total_array)

for mp_information in ranking:
    rank = int(mp_information[0])
    name = str(mp_information[1])
    number = float(mp_information[2])
    dev= (number / total -1/196)*100
    print(name + ": " + str(100*number/total) + " : " + str(dev) + "")